# Class TCLIService

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TCLIService

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TCLIService extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient`
`static interface`
`TCLIService.AsyncIface`
`static class`
`TCLIService.AsyncProcessor<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.CancelDelegationToken_args`
`static class`
`TCLIService.CancelDelegationToken_result`
`static class`
`TCLIService.CancelOperation_args`
`static class`
`TCLIService.CancelOperation_result`
`static class`
`TCLIService.Client`
`static class`
`TCLIService.CloseOperation_args`
`static class`
`TCLIService.CloseOperation_result`
`static class`
`TCLIService.CloseSession_args`
`static class`
`TCLIService.CloseSession_result`
`static class`
`TCLIService.ExecuteStatement_args`
`static class`
`TCLIService.ExecuteStatement_result`
`static class`
`TCLIService.FetchResults_args`
`static class`
`TCLIService.FetchResults_result`
`static class`
`TCLIService.GetCatalogs_args`
`static class`
`TCLIService.GetCatalogs_result`
`static class`
`TCLIService.GetColumns_args`
`static class`
`TCLIService.GetColumns_result`
`static class`
`TCLIService.GetCrossReference_args`
`static class`
`TCLIService.GetCrossReference_result`
`static class`
`TCLIService.GetDelegationToken_args`
`static class`
`TCLIService.GetDelegationToken_result`
`static class`
`TCLIService.GetFunctions_args`
`static class`
`TCLIService.GetFunctions_result`
`static class`
`TCLIService.GetInfo_args`
`static class`
`TCLIService.GetInfo_result`
`static class`
`TCLIService.GetOperationStatus_args`
`static class`
`TCLIService.GetOperationStatus_result`
`static class`
`TCLIService.GetPrimaryKeys_args`
`static class`
`TCLIService.GetPrimaryKeys_result`
`static class`
`TCLIService.GetResultSetMetadata_args`
`static class`
`TCLIService.GetResultSetMetadata_result`
`static class`
`TCLIService.GetSchemas_args`
`static class`
`TCLIService.GetSchemas_result`
`static class`
`TCLIService.GetTables_args`
`static class`
`TCLIService.GetTables_result`
`static class`
`TCLIService.GetTableTypes_args`
`static class`
`TCLIService.GetTableTypes_result`
`static class`
`TCLIService.GetTypeInfo_args`
`static class`
`TCLIService.GetTypeInfo_result`
`static interface`
`TCLIService.Iface`
`static class`
`TCLIService.OpenSession_args`
`static class`
`TCLIService.OpenSession_result`
`static class`
`TCLIService.Processor<I extends TCLIService.Iface>`
`static class`
`TCLIService.RenewDelegationToken_args`
`static class`
`TCLIService.RenewDelegationToken_result`

## Constructor Summary

Constructors
Constructor
Description
`TCLIService()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TCLIService

public TCLIService()